For the complete documentation index, see llms.txt. This page is also available as Markdown.

Equipment Groups

The following endpoints allow you to manage equipment groups, enabling you to link multiple equipments together.

Create a new equipment group

post
/v2/fleet/groups

Create a new group by linking multiple equipments together. At least 2 equipment IDs are required.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Body
assetIdsinteger[] · min: 2Required

List of equipment IDs to group together. At least 2 equipment IDs are required.

Example: [1,2,3]
Responses
201

Group successfully created

application/json
idintegerRequired

The unique identifier of the group

Example: 42
assetIdsinteger[]Required

List of equipment IDs in the group

Example: [1,2,3]
post/v2/fleet/groups

Update an equipment group

put
/v2/fleet/groups/{id}

Update an existing equipment group by replacing the list of equipments. At least 2 equipment IDs are required.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
idintegerRequired

The unique identifier of the group to update.

Body
assetIdsinteger[] · min: 2Required

List of equipment IDs to group together. At least 2 equipment IDs are required.

Example: [1,2,3]
Responses
200

Group successfully updated

application/json
idintegerRequired

The unique identifier of the group

Example: 42
assetIdsinteger[]Required

List of equipment IDs in the group

Example: [1,2,3]
put/v2/fleet/groups/{id}

Delete an equipment group

delete
/v2/fleet/groups/{id}

Delete an existing equipment group. This will unlink all equipments from the group.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
idintegerRequired

The unique identifier of the group to delete.

Responses
204

Group successfully deleted

No content

delete/v2/fleet/groups/{id}

No content

Last updated

Was this helpful?